INTERFACE
SUBROUTINE ACCLPH ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PTHETAV,PAPHI,PAPHIF,PU,PV,&
 & PTHETAVS,&
 & KCLPH,PCLPH,PUGST,PVGST,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTHETAV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTHETAVS(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUGST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVGST(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACCLPH
END INTERFACE
